=== debian/control ===
Source: ros-noetic-exotica-examples
Section: misc
Priority: optional
Maintainer: Vladimir Ivan <v.ivan@ed.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-exotica-aico-solver, ros-noetic-exotica-core, ros-noetic-exotica-core-task-maps, ros-noetic-exotica-ik-solver, ros-noetic-exotica-val-description, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-sensor-msgs
Homepage: https://github.com/ipab-slmc/exotica
Standards-Version: 3.9.2

Package: ros-noetic-exotica-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pykdl, ros-noetic-exotica-aico-solver, ros-noetic-exotica-cartpole-dynamics-solver, ros-noetic-exotica-collision-scene-fcl-latest, ros-noetic-exotica-core, ros-noetic-exotica-core-task-maps, ros-noetic-exotica-ddp-solver, ros-noetic-exotica-double-integrator-dynamics-solver, ros-noetic-exotica-ik-solver, ros-noetic-exotica-ilqg-solver, ros-noetic-exotica-ilqr-solver, ros-noetic-exotica-levenberg-marquardt-solver, ros-noetic-exotica-ompl-control-solver, ros-noetic-exotica-ompl-solver, ros-noetic-exotica-pendulum-dynamics-solver, ros-noetic-exotica-pinocchio-dynamics-solver, ros-noetic-exotica-python, ros-noetic-exotica-quadrotor-dynamics-solver, ros-noetic-exotica-scipy-solver, ros-noetic-exotica-time-indexed-rrt-connect-solver, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-robot-state-publisher, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-visualization-msgs
Description: Package containing examples and system tests for EXOTica.
